<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'auth_shibboleth', language 'ro', branch 'MOODLE_36_STABLE'
 *
 * @package   auth_shibboleth
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['auth_shib_auth_method'] = 'Numele metodei de autentificare';
$string['auth_shib_auth_method_description'] = 'Ofera un nume pentru metoda de autentificare Shibboleth care este familiar utilizatorilor tai. Acesta poate fi numele federatiei tale Shibboleth, ex. <tt>SWITCHaai Login</tt> sau <tt>InCommon Login</tt> sau ceva similar.';
$string['auth_shibbolethdescription'] = 'Folosind această modalitate utilizatorii sunt creați și autentificați, folosind <a href="http://shibboleth.internet2.edu/">Shibboleth</a>.<br />Cițiți aici<a href="../auth/shibboleth/README.txt">README</a> cum faceți setările pentru Totara cu Shibboleth.';
$string['auth_shibboleth_errormsg'] = 'Te rugam sa selectezi organizatia la care esti membru!';
$string['auth_shibboleth_login'] = 'Autentificare Shibboleth';
$string['auth_shibboleth_login_long'] = 'Logare in Moodle via Shibboleth';
$string['auth_shibboleth_manual_login'] = 'Autentificare manuala';
$string['auth_shibboleth_select_member'] = 'Sunt membru a...';
$string['auth_shibboleth_select_organization'] = 'Pentru autentificare prin Shibboleth, te rugam sa selectezi organizatia ta din lista verticala de mai jos.';
$string['auth_shib_changepasswordurl'] = 'URL schimbare parolă';
$string['auth_shib_contact_administrator'] = 'În cazul în care nu faceți parte din nicio organizație prezentă pe platformă, însă doriți să accesați un anumit curs de pe acest server, vă rugăm să scrieți la adresa <a href="mailto:{$a}">Totara Administrator</a>.';
$string['auth_shib_convert_data'] = 'Modificarea datelor API';
$string['auth_shib_convert_data_description'] = 'Poti folosi acest API pentru a modifica in continuare datele oferite de Shibboleth. Citeste <a href="../auth/shibboleth/README.txt">README</a>  pentru mai multe instructiuni.';
$string['auth_shib_convert_data_filepath_warning'] = 'Nu puteți utiliza un fișier care se află în directorul de date al site-ului curent ($ CFG-> dataroot) ca API de modificare a datelor.';
$string['auth_shib_convert_data_warning'] = 'Fisierul nu exista sau nu poate fi citit de procesul webserver-ului.';
$string['auth_shib_idp_list'] = 'Furnizori de identitate';
$string['auth_shib_idp_list_description'] = 'Furnizați o listă de posibile identități de unde utilizatorul poate alege din pagina de inregistrare.<br />Fiecare linie să conțină un numar stabilit de variante, despărțite de virgulă pentru identificarea persoanei (entityID of the IdP) (vezi fișierul metadata Shibboleth) și numele persoanei așa cum va fi afișat în lista verticală.<br />Un al treilea parametru opțional, ar fi să adăugați locația unui inițiator de sesiune Shibboleth ce ăpoate fi folosită în cazul în care instalarea dvs. Totara  face parte dintr-o configurare multi federală.';
$string['auth_shib_instructions'] = 'Utilizati <a href="{$a}">autentificarea Shibboleth</a> pentru acces via Shibboleth, daca organizatia are. Altfel folositi formularul de autentificare de aici.';
$string['auth_shib_instructions_help'] = 'Aici ar trebui să furnizați instrucţiuni pentru ca utilizatorii dvs. să poată să explice Shibboleth. Acestea vor fi afişate pe pagina de conectare în secţiunea instrucţiuni. Instrucţiunile trebuie să includă un link către "<b>{$a}</b>" pe care utilizatorii să facă click atunci când vor să se conecteze';
$string['auth_shib_instructions_key'] = 'Instrucțiuni pentru autentificare';
$string['auth_shib_integrated_wayf'] = 'Service Moodle WAYF';
$string['auth_shib_integrated_wayf_description'] = 'Dacă bifați aici, Totara va folosi  propriul serviciu WAYF , în locul celui configurat de Shibboleth. Totara va afișa lista verticală pe această pagină alternativă de înregistrare, de unde utilizatorul poate să-ți aleagă Furnizorul de identitate (IdP).';
$string['auth_shib_logout_return_url'] = 'URL-ul alternativ la parasirea sistemului';
$string['auth_shib_logout_return_url_description'] = 'Furnizează un URL catre care șă fie redirecționați utilizatorii Shibboleth, în urma ieșirii din cont.<br />În cazul în care nu se furnizează, utilizatorii vor fi redirecționați către locații alese de Totara.';
$string['auth_shib_logout_url'] = 'URL-ul providerului de serviciu Shibboleth pentru parasirea sistemului';
$string['auth_shib_logout_url_description'] = 'Furnizeaza URL-ul providerului de serviciu Shibboleth pentru parasirea sistemului. In mod normal <tt>Shibboleth.sso/Logout</tt>';
$string['auth_shib_no_organizations_warning'] = 'Daca vrei sa folosesti serviciul WAYF integrat, trebuie sa oferi o lista separata de virgule cu ID-urile Furnizorilor de Identitate, numele lor si optional un initiator de sesiune.';
$string['auth_shib_only'] = 'Doar Shibboleth';
$string['auth_shib_only_description'] = 'Verifica aceasta optiune daca o autentificare Shibboleth ar trebuie sa fie executata.';
$string['auth_shib_username_description'] = 'Denumirea variabilei de mediu a webserverului Shibboleth ce va fi folosită ca nume de utilizator Totara.';
$string['pluginname'] = 'Shibboleth';
$string['shib_attribute_not_valid'] = 'Atributul {$a} care a fost setat nu este valid.';
$string['shib_invalid_account_error'] = 'Păreți autentificat Shibboleth, însă Totara nu găsește un cont care să corespundă numelui dumneavoastră de utilizator. Cotul dvs. este posibil să nu existe sau să fi fost suspendat.';
$string['shib_invalid_attributes_error'] = 'Autentificarea Shibboleth a fost configurată incorect. Unul sau mai multe atribute de utilizator  nu sunt valide.';
$string['shib_no_attributes_error'] = 'Pare că sunteți autentificat Shibboleth, însă Totara nu a primit niciun atribut al utilizatorului. Vă rugăm verificați dacă Furnizorul de Identități furnizează tributele necesare Placeholders ({$a}) către Furnizorul de Servicii Totara sau informați webmasterul acestui server.';
$string['shib_not_all_attributes_error'] = 'Totara are nevoie de anumite atribute Shibboleth pe care nu le aveți. Atributele respective sunt:{$a}<br />Vă rugăm contactați webmasterul acestui server sau Furnizorul dvs. de Identități.';
$string['shib_not_set_up_error'] = 'Autentificarea Shibboleth pare că nu este setată corect, pentru că nu s-a găsit nicio variabilă de mediu pe această pagină. Vă rugăm  verificați <a href="README.txt">README</a> pentru mai multe instrucțiuni despre setarea autentificării Shibboleth sau contactați webmasterul care s-a ocupat de instalarea Totara.';
