<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'cachestore_redis', language 'ro', branch 'MOODLE_36_STABLE'
 *
 * @package   cachestore_redis
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['database'] = 'Număr bază de date';
$string['database_help'] = 'Ideal ar fi să specificați numărul unic pentru baza de date la fiecare stocare.

Instalații  diferite nu ar trebui să partajeze niciodată o bază de date Redis.';
$string['errordatabasenegative'] = 'Baza de date trebuie să fie 0 sau un număr întreg pozitiv.';
$string['password'] = 'Parolă';
$string['password_help'] = 'Aceasta setează parola serverului Redis.';
$string['pluginname'] = 'Redis';
$string['prefix'] = 'Prefix cheie';
$string['prefix_help'] = 'Acest prefix este folosit pentru toate numele de chei de pe serverul Redis.
* Daca ai o singura instanta Totara folosind serverul respectiv poti lasa valoarea implicita.
* Din cauza limitarilor de lungime a cheii, sunt permise maxim 5 caractere.';
$string['prefixinvalid'] = 'Prefixul nu este valid. Puteți folosi doar a-z A-Z 0-9-_.';
$string['read_password'] = 'Citiți parola replică';
$string['read_password_help'] = 'Aceasta setează parola replica citită a serverului Redis';
$string['read_server'] = 'Replica citită a serverului';
$string['read_server_help'] = 'Dacă aveți un mediu cu replici citite Redis, specificați aici adresa replicii de load-balacer.';
$string['sentinelhosts'] = 'Gazde Sentinel';
$string['sentinelhosts_help'] = 'Redis Sentinel este o soluție de înaltă disponibilitate pentru Redis. Oferă monitorizare, failover și simplifică configurarea.

Utilizați o listă de sentinele separate prin virgulă folosind formatul  "host1: port, host2: port, host3: port". Socketurile Unix nu sunt acceptate.

Când este specificat, opțiunea Server nu este utilizată și opțiunea Parolă este utilizată pentru master returnat de la sentinelă.';
$string['sentinelmaster'] = 'Nume master Sentinel';
$string['sentinelmaster_help'] = 'Numele master intern în configurația Redis Sentinel';
$string['sentinelpassword'] = 'Parola Sentinel';
$string['serializer_igbinary'] = 'Serialzarea igbinară';
$string['serializer_php'] = 'Serializare PHP implicită';
$string['server'] = 'Server';
$string['server_help'] = 'Setează numele gazdei sau adresa IP a serverului Redis care va fi utilizată.';
$string['test_database'] = 'Baza de date test Redis';
$string['test_database_desc'] = 'Număr bază de date test Redis pe serverul test';
$string['test_password'] = 'Parolă server test Redis';
$string['test_password_desc'] = 'Parolă server test Redis.';
$string['test_read_password'] = 'Parolă replică citită Redis';
$string['test_read_password_desc'] = 'Parolă replică citită Redis.';
$string['test_read_server'] = 'Server test replica citită Redis';
$string['test_read_server_desc'] = 'Server Redis replică citită pentru testare';
$string['test_sentinelhosts'] = 'Gazde test Redis Santinel';
$string['test_sentinelhosts_desc'] = 'Gazde Sentinel Redis utilizate pentru testarea MUC.';
$string['test_sentinelmaster'] = 'Nume master pentru test Redis Sentinel';
$string['test_sentinelmaster_desc'] = 'Nume master Redis Sentinel folosit pentru testarea MUC.';
$string['test_sentinelpassword'] = 'Parola test Santinel Redis';
$string['test_sentinelpassword_desc'] = 'Parola test Santinel Redis folosită pentru testarea MUC';
$string['test_serializer'] = 'Serializare';
$string['test_serializer_desc'] = 'Serializator de folosit pentru testare';
$string['test_server'] = 'Server test Redis';
$string['test_server_desc'] = 'Serverul Redis care va fi folosit pentru testare';
$string['useserializer'] = 'Folosiți serializator';
$string['useserializer_help'] = 'Specifică serializatorul de utilizat pentru serializare. Serializatorii valabili sunt Redis :: SERIALIZER_PHP sau Redis :: SERIALIZER_IGBINARY. Acesta din urmă este acceptat numai atunci când phpredis este configurat cu opțiunea --enable-redis-igbinary și extensia igbinary este încărcată.';
$string['useserializer_warning'] = 'Serializatorul nu trebuie schimbat dacă există deja date în cache.';
