<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'search_solr', language 'ro', branch 'MOODLE_36_STABLE'
 *
 * @package   search_solr
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['configsettings'] = 'Configurare Solr';
$string['connectionerror'] = 'Serverul Solr specificat nu este disponibil sau indexul specificat nu există';
$string['connectionsettings'] = 'Setări de conectare';
$string['discardsearchfieldnames'] = 'Renunțați la numele câmpurilor de căutare implicite ale site-ului';
$string['discardsearchfieldnames_help'] = 'Când această setare este activată, numele implicite ale câmpurilor de căutare nu vor fi trimise motorului de căutare Solr, permițându-i astfel Solr să specifice propriile nume de câmpuri de căutare. Acest lucru poate îmbunătăți relevanța rezultatelor căutării generate de Solr. Când este dezactivat, sunt trimise numele implicite ale câmpurilor de căutare, forțând astfel Solr să ignore câmpurile de căutare definite în motor.';
$string['errorcreatingschema'] = 'Eroare la crearea schemei Solr: {$a}';
$string['errorvalidatingschema'] = 'Eroare la validarea schemei Solr: câmpul {$a->fieldname} nu există. Vă rugăm să <a href="{$a->setupurl}">urmați acest link</a> pentru a configura câmpurile obligatorii.';
$string['extensionerror'] = 'Extensia PHP Apache Solr nu este instalată. Vă rugăm să verificați documentația.';
$string['fileindexing'] = 'Activați indexarea fișierelor';
$string['fileindexsettings'] = 'Setări de indexare a fișierelor';
$string['maxindexfilekb'] = 'Dimensiunea maximă a fișierului de indexat(kB)';
$string['maxindexfilekb_help'] = 'Fișierele mai mari decât acest număr de kilobytes nu vor fi incluse în indexarea căutării. Dacă este setat la zero, fișierele de orice dimensiune vor fi indexate.';
$string['minimumsolr4'] = 'Solr 4.0 este versiunea minimă necesară pentru Totara';
$string['missingconfig'] = 'Serverul dvs. Apache Solr nu este încă configurat în Totara.';
$string['multivaluedfield'] = 'Câmpul „{$a}” a returnat o matrice în loc de un scalar. Ștergeți indexul curent, creați unul nou și rulați setup_schema.php înainte de indexarea datelor în Solr.';
$string['nodatafromserver'] = 'Nu există date de pe server';
$string['pluginname'] = 'Solr';
$string['schemafieldautocreated'] = 'Câmpul „{$a}” există deja în schema Solr. Probabil că ați uitat să rulați acest script înainte ca datele de indexare și câmpurile să fie create automat de Solr. Ștergeți indexul curent, creați unul nou și rulați din nou setup_schema.php înainte de indexarea datelor în Solr.';
$string['schemasetupfromsolr5'] = 'Versiunea serverului dvs. Solr este mai mică decât 5.0. Acest script vă poate seta schema numai dacă versiunea Solr este 5.0 sau mai nouă. Trebuie să setați manual câmpurile din schema dvs. în conformitate cu search_solrdocument :: get_default_fields_definition ().';
$string['searchinfo'] = 'Interogări de căutare';
$string['searchinfo_help'] = 'Câmpul care trebuie căutat poate fi specificat prin prefixarea interogării de căutare cu \'titlu:\', \'conținut:\', \'nume:\' sau \'intro:\'. De exemplu, căutarea „titlu: știri” ar întoarce rezultate cu cuvântul „știri” în titlu. Operatorii booleeni (logici) („ȘI”, „SAU”, „NU”) pot fi folosiți pentru a combina sau exclude cuvinte cheie. Caracterele comodine („*” sau „?”) Pot fi folosite pentru a reprezenta caractere în interogarea de căutare.';
$string['setupok'] = 'Schema este gata de utilizare.';
$string['solrauthpassword'] = 'Parola de autentificare HTTP';
$string['solrauthuser'] = 'Nume utilizator de autentificare HTTP';
$string['solrhttpconnectionport'] = 'Port';
$string['solrhttpconnectiontimeout'] = 'Pauză';
$string['solrhttpconnectiontimeout_desc'] = 'Timpul de expirare a conexiunii HTTP este timpul maxim în secunde permis pentru operațiunea de transfer de date HTTP.';
$string['solrindexname'] = 'Numele indexului';
$string['solrinfo'] = 'Solr';
$string['solrnotselected'] = 'Motorul Solr nu este motorul de căutare configurat';
$string['solrsecuremode'] = 'Mod securizat';
$string['solrserverhostname'] = 'Numele gazdei';
$string['solrserverhostname_desc'] = 'Numele de domeniu al serverului Solr.';
$string['solrsetting'] = 'Setări Solr';
$string['solrsslcainfo'] = 'Numele certificatelor SSL CA.';
$string['solrsslcainfo_desc'] = 'Numele fișierului care deține unul sau mai multe cerificate CA  cu care verifică fișierele conexe';
$string['solrsslcapath'] = 'Calea certificatelor SSL CA.';
$string['solrsslcapath_desc'] = 'Calea directorului care deține mai multe certificate CA cu care le verifică pe cele conexe';
$string['solrsslcert'] = 'Certificat SSL';
$string['solrsslcert_desc'] = 'Numele fișierului către un certificat privat formatat de PEM';
$string['solrsslkey'] = 'Cheie SSL';
$string['solrsslkey_desc'] = 'Numele fișierului către o cheie privată formatată PEM';
$string['solrsslkeypassword'] = 'Parola cheii SSL';
$string['solrsslkeypassword_desc'] = 'Parola pentru fișierul cu cheie privată formatat PEM';
